<?php
class Pisol_Fsnw_Admin {

	
	private $plugin_name;

	
	private $version;

	
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;
		if(is_admin() && ! ( defined( 'DOING_AJAX' ) && DOING_AJAX )){
			new Pi_fsnw_Menu($this->plugin_name, $this->version);
			new Pisol_fsnw_Option($this->plugin_name);
			new Pisol_fsnw_Message($this->plugin_name);
			new Pisol_fsnw_Popup($this->plugin_name);
			new Pisol_fsnw_Design($this->plugin_name);
			new Class_Pi_Fsnw_Control($this->plugin_name);
		}
		
		add_action('admin_init', array($this,'plugin_redirect'));
	}

	function plugin_redirect(){
		if (get_option('pi_fsnw_do_activation_redirect', false)) {
			delete_option('pi_fsnw_do_activation_redirect');
			if(!isset($_GET['activate-multi']))
			{
				wp_redirect("admin.php?page=pisol-fsnw-notification&tab=default");
			}
		}
	}

	
	public function enqueue_styles() {


		wp_enqueue_style( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'css/pisol-fsnw-admin.css', array(), $this->version, 'all' );

	}

	
	public function enqueue_scripts() {
		

	}

}
