<?php

/**
 * compatibility message for pro version support for 
 * https://wordpress.org/plugins/woocommerce-product-price-based-on-countries/
 */
/**
 * this message will run when the customer is using our free version and this above plugin
 */
function pi_fsnw_compatibility_message() {
    if(function_exists('wcpbc_the_zone')){
    ?>
    <div class="notice notice-success" style="padding:10px; border-top:9px solid #46b450; margin-top:20px; background:#fff; border-left:none; ">
    <h3>Notification: Price Based on Country for WooCommerce </h3>
    <p style="font-size:18px;">The Pro version of <u>Free Shipping notification bar</u> is fully compatible with this plugin and it will change the free shipping message as per the currency of the customer and exchange rate of that currency</p>
    <a style="font-size:16px; display:inline-block; padding:10px; border:1px solid #46b450; text-decoration:none; margin-right:15px; margin-top:10px;" target="_blank" href="<?php echo esc_url(PI_FSNW_BUY_URL); ?>"><span>🤩</span> BUY NOW</a>
    </div>
    <?php
    }
}
add_action( 'admin_notices', 'pi_fsnw_compatibility_message' );